<!--福袋 created By 1173944134@qq.com-->
<template>
    <!--我的课icon-->
    <div class="icon-my-course" id="mycourseIcon">
        <img src="" class="icon-img-my-course"/>
        <div class="icon-img-music"></div>
    </div>
    <!--邀请页-->
    <div class="inviteBanner" id="inviteBanner">
        <img src="" class="banner"/>
        <img class="space_invite_btn" src="" alt="">
    </div>
    <!-- 个人中心 -->
    <div class="spacefligth_entry" id="userSpacefligthIcon">
        <img src="" alt="" class="card">
    </div>
</template>

<script>
    export default {
        name: 'double_12',
        data: {
            pageName: $('body').data('page-name'),
            courseId: +ApiHelper.getQueryString('courseId'),
            showCourseIds: [73,81,178],
            courseImg: resourcePath + '/imgs/groupPurchase/newCourseImg/',
            imgPath: resourcePath + '/imgs/groupPurchase/act/spaceflight/',
            pvuv: ApiHelper.SERVER + '/dengta/common/act/10049/addPvuv.json', // pvuv微信通用接口
            getUserActStatus: '/dengta/common/act/10049/getUserActStatus.json' // 福袋数据
        },
        // pvuvkey
        pvuvKey: {
            MYCOURDE_CLICK: 1427,
            MYCOURDE_EXPOSE: 1428,
            INVITE_CLICK: 1429,
            INVITE_EXPOSE: 1430,
            USERCENTER_CLICK: 1431,
            USERCENTER_EXPOSE: 1432
        },
        // 初始化
        init: function () {
            ApiHelper.courseList && this.initCourseList()
            this.data.pageName === 'inviteFriends' && this.initInviteFriends()
            this.data.pageName === 'collageDetails' && this.collageDetails()
            ApiHelper.user && this.initUserProfile()
        },
        // 是否在可视区域 document.addEventListener('scroll', ApiHelper.throttle(function () {}, 500)
        isInView: function (selector) {
            if (!document.querySelector(selector)) {
                return false
            }
            var rect = document.querySelector(selector).getBoundingClientRect()
            var flag = false
            if (rect.top <= window.innerHeight && rect.top >= -rect.height) {
                flag = true
            }
            return flag
        },
        // 查询活动
        getActInfo: function (callback) {
            var that = this
            $.get(that.data.getUserActStatus, function (res) {
                var resData = res.value || {}
                isActTime = resData.sys > new Date('2020/05/08').getTime() && resData.sys < new Date('2020/05/15 17:00:00').getTime()
                if (isActTime) {
                    callback && callback()
                }
            })
        },
        // 插入未来元素
        checkHas: function (selector, callback) {
            var that = this
            var addBannerCount = 0

            function check() {
                setTimeout(function () {
                    addBannerCount++
                    if ($(selector).length > 0) {
                        callback && callback.call(that)
                    } else {
                        addBannerCount < 5 && check()
                    }
                }, 1000)
            }

            check()
        },
        // 我的课堂
        initCourseList: function () {
            var that = this
            var openTime1 = new Date('2020/05/13 22:00:00').getTime();
            var openTime2 = new Date('2020/05/13 18:00:00').getTime();
            var currentTime = new Date().getTime();
            if (currentTime < openTime1 && currentTime > openTime2) {
                return false
            }
            that.getActInfo(function () {
                that.showIconList()
            })
        },
        // 我的页面
        initUserProfile: function () {
            var that = this
            that.getActInfo(function () {
                that.showcardByUser()
            })
        },
        // 好友邀请
        initInviteFriends: function () {
            var that = this
            that.getActInfo(function () {
                that.addInviteFriendsBanner()
            })
        },
        // 好友邀请
        collageDetails: function () {
            var that = this
            that.getActInfo(function () {
                that.addCollageDetailsBanner()
            })
        },
        // 课堂icon
        showIconList: function () {
            var that = this
            $(mycourseIcon).appendTo($('body'))
            $('#mycourseIcon .icon-img-my-course').attr('src', that.data.imgPath + 'icon.png')
            // $('#mycourseIcon .icon-img-music').attr('src', that.data.imgPath + 'music1.png')
            $('#mycourseIcon').click(function () {
                $.get(that.data.pvuv, {
                    pvuvKeyId: that.pvuvKey.MYCOURDE_CLICK
                },function () {
                    location.href = '/app/spa/dengta_h5/spaceflightLive?channel=160200095'
                })
            })
            $('#mycourseIcon').css({
                display: 'flex'
            })
            $.get(that.data.pvuv, {
                pvuvKeyId: that.pvuvKey.MYCOURDE_EXPOSE
            })
        },
        // 个人中心卡片
        showcardByUser: function () {
             var that = this
            $(userSpacefligthIcon).appendTo($('.surprise_entry'))
            $('#userSpacefligthIcon .card').attr('src', that.data.imgPath + 'card.png')
            $('#userSpacefligthIcon').click(function () {
                $.get(that.data.pvuv, {
                    pvuvKeyId: that.pvuvKey.USERCENTER_CLICK
                },function () {
                  location.href = '/app/spa/dengta_h5/spaceflightLive?channel=160200097'
                })
            })
            $.get(that.data.pvuv, {
                pvuvKeyId: that.pvuvKey.USERCENTER_EXPOSE
            })
        },
        // 邀请详情
        addInviteFriendsBanner: function () {
            var isNonSpaceflightCourse = $.inArray(parseInt(this.data.courseId), this.data.showCourseIds) === -1
            if (isNonSpaceflightCourse) {
                return false;
            }
             var that = this
            $(inviteBanner).appendTo($('.groupbuy-info'))
            $('#inviteBanner .banner').attr('src', that.data.imgPath + 'banner.png')
            $('#inviteBanner .space_invite_btn').attr('src', that.data.imgPath + 'btn.png')
            $('#inviteBanner').click(function () {
                 $.get(that.data.pvuv, {
                    pvuvKeyId: that.pvuvKey.INVITE_CLICK
                },function () {
                  location.href = '/app/spa/dengta_h5/spaceflightLive?channel=160200096'  
                })
            })
            $.get(that.data.pvuv, {
                pvuvKeyId: that.pvuvKey.INVITE_EXPOSE
            })
        },
        addCollageDetailsBanner: function () {
            var isNonSpaceflightCourse = $.inArray(parseInt(this.data.courseId), this.data.showCourseIds) === -1
            if (isNonSpaceflightCourse && !window.isSubscribe) {
                return false;
            }
             var that = this
             $('.receivePoster').after($(inviteBanner))
            $('#inviteBanner .banner').attr('src', that.data.imgPath + 'banner.png')
            $('#inviteBanner .space_invite_btn').attr('src', that.data.imgPath + 'btn.png')
            $('.inviteBanner').css('margin','0 0 .4rem .2rem')
            $('#inviteBanner').click(function () {
                 $.get(that.data.pvuv, {
                    pvuvKeyId: that.pvuvKey.INVITE_CLICK
                },function () {
                  location.href = '/app/spa/dengta_h5/spaceflightLive?channel=160200096'  
                })
            })
            $.get(that.data.pvuv, {
                pvuvKeyId: that.pvuvKey.INVITE_EXPOSE
            })
        },
        getStorageSync: function (key) {
            var storage = localStorage.getItem(key)
            try {
                storage = JSON.parse(storage)
            } catch (e) {
                storage = storage
            }
            return storage
        },
        setStorageSync: function (key, data) {
            localStorage.setItem(key, JSON.stringify(data))
        }
    }
</script>

<style scoped lang="less">

    @cl-mask: rgba(0, 0, 0, 0.85);
    @imgUrl: 'http://static2.61info.com/service/imgs/groupPurchase/act/spaceflight';

    /**我的课icon**/
    .icon-my-course {
        position: fixed;
        width: 246px;
        height: 151px;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        opacity: 0.9;
        right: 0;
        bottom: 240px;
        z-index: 66;
        color: #ffffff;
        display: none;
        .icon-img-my-course{
            width: 100%;
            height: 100%;
        }
        .icon-img-music{
            width: 36px;
            height: 36px;
            position: absolute;
            right: 14px;
            bottom: 6px;
            animation: changeImg 1.5s infinite;
        }
    }
    /**邀请页**/
    .inviteBanner{
        width: 720px;
        margin: 20px 0 20px -20px;
        position: relative;
        .space_invite_btn{
            width: 148px;
            height: 148px;
            position: absolute;
            right: 50px;
            top: 30px;
            animation: heartBeat 1s infinite;
        }
    }

    .heart-beat {
        animation: heartBeat 1s infinite;
    }
    @keyframes changeImg {
        0% {
            background: url('@{imgUrl}/music1.png') no-repeat center / 100%;
        }

        33% {
            background: url('@{imgUrl}/music2.png') no-repeat center / 100%;
        }

        66% {
            background: url('@{imgUrl}/music3.png') no-repeat center / 100%;
        }

        100% {
            background: url('@{imgUrl}/music1.png') no-repeat center / 100%;
        }
    }

    @keyframes heartBeat {
        0% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }

        14% {
            -webkit-transform: scale(.8);
            transform: scale(.8);
        }

        28% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }

        42% {
            -webkit-transform: scale(.8);
            transform: scale(.8);
        }

        70% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }
    }

    /**淡入*/
    .fade-in {
        animation: fadeIn 1s;
    }

    @keyframes fadeIn {
        from {
            opacity: 0;
        }
        to {
            opacity: 1;
        }
    }
</style>
